%define anolis_release 4

Name:               perl-Term-Size-Any
Version:            0.002
Release:            %{anolis_release}%{dist}
Summary:            Retrieve terminal size
License:            GPL+ or Artistic
URL:                https://metacpan.org/release/Term-Size-Any
Source0:            https://cpan.metacpan.org/authors/id/F/FE/FERREIRA/Term-Size-Any-%{version}.tar.gz

BuildRequires:      gcc gcc-c++ make autoconf
BuildRequires:      perl-generators perl-interpreter
BuildRequires:      perl(:VERSION) >= 5.6 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:      perl(strict) perl(warnings) perl(vars)
BuildRequires:      perl(Term::Size::Perl)
BuildRequires:      perl(Module::Load::Conditional) perl(Test::More)
Requires:           perl(Term::Size::Perl)
BuildArch:          noarch

%{?perl_default_filter}

%description
This is a unified interface to retrieve terminal size. 
It loads one module of a list of known alternatives, each implementing 
some way to get the desired terminal information. 
This loaded module will actually do the job on behalf of Term::Size::Any.


%prep
%autosetup -n Term-Size-Any-%{version} -p1


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} %{buildroot}/*


%check
make test


%files
%{perl_vendorlib}/Term/Size/Any.pm
%{perl_vendorlib}/Term/Size/Any.pod
%doc README Changes
%{_mandir}/man3/*.zst


%changelog 
* Thu Apr 13 2023 chen_yu_ao <m15927509890@163.com> - 0.002-4
- change spec file format

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.002-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.002-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 0.002-1
- Init package from upstream v0.002
